import { reqConfig } from '@zhst/request';
import useFatherAction from './actions';

// 运行时配置
export async function getInitialState(): Promise<{
  name: string;
  useLogin: boolean;
}> {
  return {
    name: '主应用',
    useLogin: false,
  };
}

// 给子应用暴露的方法
export const useQiankunStateForSlave = useFatherAction;

/**
 * 单端口模式 - 兼容 80 端口
 */
const hostname = location.port ? `${location.hostname}:${location.port}` : location.hostname

const initApp = (appList: any[]) => {
  return appList.map(app => (
    {
      name: app.name,
      entry: APP_ENV === 'production' ? `//${hostname}/${app.name}/` : app.entry,
      props: {},
      singular: false,
      credentials: true,
    }
  ))
}

export const qiankun = {
  apps: initApp(APP_LIST),
  lifeCycles: {
    // 所有子应用在挂载完成时，打印 props 信息
    async afterMount() {
      // console.log('子应用已全部加载:', props);
    },
  },
};

// @ts-ignore
export const request = reqConfig({
  baseURL: COMMON_URL,
  showMsg: true,
});
