// 全局共享数据
import userController from '../service/user';
import { get } from '@zhst/func';
import { useRequest } from '@zhst/hooks';
import { useState } from 'react';

const useUser = () => {
  const [userInfo, setUserInfo] = useState(null);
  const [userRights, setUserRights] = useState(null);
  // @ts-ignore
  const { run, loading: userLoading } = useRequest(async () => {
    let res = await userController.postUserInfo();
    let userRightsRes = await userController.getUserRights({
      userId: res.userInfo.userId,
    });
    setUserRights(userRightsRes);
    setUserInfo(res.userInfo);
  });

  // 判断用户是否具有某一模块的路由权限
  const hasAuth = (key: string) => {
    const funcs = get(userRights, 'functions')
      ? JSON.parse(get(userRights, 'functions'))
      : [];
    return funcs.some((item: string) => item === key);
  };

  return {
    userInfo,
    run,
    userLoading,
    hasAuth,
  };
};

export default useUser;
